Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyMethodDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc
                      org.codehaus.groovy.tools.groovydoc.SimpleGroovyMethodDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyExecutableMemberDoc, GroovyMemberDoc, GroovyMethodDoc, GroovyProgramElementDoc

    public class SimpleGroovyMethodDoc

extends SimpleGroovyExecutableMemberDoc
implements GroovyMethodDoc

Constructor Summary
`SimpleGroovyMethodDoc(String name)`
`SimpleGroovyMethodDoc(String name, List links)`

Method Summary
`boolean` | `isAbstract()`
`boolean` | `isReturnTypeAvailable()`
`GroovyClassDoc` | `overriddenClass()`
`GroovyMethodDoc` | `overriddenMethod()`
`GroovyType` | `overriddenType()`
`boolean` | `overrides(GroovyMethodDoc arg0)`
`GroovyType` | `returnType()`
`void` | `setReturnType(GroovyType returnType)`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc
`add, flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
`isSynthetic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setPublic, setStatic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc
`flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc
`isSynthetic`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyMethodDoc

    public SimpleGroovyMethodDoc(String name)

### SimpleGroovyMethodDoc

    public SimpleGroovyMethodDoc(String name,
                                 List links)

Method Detail

### returnType

    public GroovyType returnType()

  Specified by:
    `returnType` in interface `GroovyMethodDoc`

### isReturnTypeAvailable

    public boolean isReturnTypeAvailable()

### setReturnType

    public void setReturnType(GroovyType returnType)

  Specified by:
    `setReturnType` in interface `GroovyMethodDoc`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `GroovyMethodDoc`

### overriddenClass

    public GroovyClassDoc overriddenClass()

  Specified by:
    `overriddenClass` in interface `GroovyMethodDoc`

### overriddenMethod

    public GroovyMethodDoc overriddenMethod()

  Specified by:
    `overriddenMethod` in interface `GroovyMethodDoc`

### overriddenType

    public GroovyType overriddenType()

  Specified by:
    `overriddenType` in interface `GroovyMethodDoc`

### overrides

    public boolean overrides(GroovyMethodDoc arg0)

  Specified by:
    `overrides` in interface `GroovyMethodDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD